Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
containers
/
{container_group_name}
/
instances
C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;

var config = new SaladCloudSdkConfig{};

var client = new SaladCloudSdkClient(config);

var response = await client.ContainerGroups.ListContainerGroupInstancesAsync("acme-corp", "dev-env", "mandlebrot");

Console.WriteLine(response);
{
  "instances": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "update_time": "2023-11-07T05:31:56Z",
      "version": 1073741824,
      "cpu_percent": 1,
      "cpu_usage": 1,
      "cpu_usage_total": 1,
      "deletion_cost": 0,
      "memory_usage_mb": 1,
      "memory_usage_percent": 1,
      "pulling_progress": 50,
      "ready": true,
      "ssh_host_key_fingerprint": "SHA256:nThbg6kXUpJWGl7E1IGOCspRomTxdCARLviKw6E5SY8",
      "ssh_ip": "192.168.1.100",
      "ssh_port": 22,
      "started": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.salad.com/llms.txt

Use this file to discover all available pages before exploring further.

Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

container_group_name
string
required

The unique container group name The container group name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"mandlebrot"

Response

OK

A collection of container group instances returned as part of a paginated response or batch operation result.

instances
object[]
required

An array of container group instances, each representing a deployed container group with its current state and configuration information.

Maximum array length: 1000